`<language>` | identifies the language being described in the writing system declaration.
Attributes: |
`iso639` | gives the standard language code from ISO 639.
| Datatype: CDATA
| Values: any two- or three-letter code included included in ISO 639; if the language is not included in the list in ISO 639, the value should be given as the empty string.
| Default: #REQUIRED
Note |

Example

    <language iso639=''>Various</language>
    <language iso639=GRC>Classical Greek</language>

Note

In general, the `language' associated with a given writing system declaration will be a natural language; it may however be a dialect, an artificial language, or some other semiotic system conveniently treated as a language.

The content of the `<language>` element is a description in prose of what language the WSD describes. Usually this will simply be the conventional name of the language; more information may however be included as needed.

Specialized writing system declarations which document a public character set or entity set suitable for encoding several languages, and which are intended for use as a base component within other language-specific writing system declarations, should identify the `<language>` to which they apply as ``Various''. Such writing systems should not be used directly by encoded texts; they should be named only in the `<baseWSD>` element of language-specific writing system declarations.

Tagset auxiliary tag set for writing system declarations
Class
Filename `teiwsd2`
Content: May contain character data only.
Parents langUsage writingSystemDeclaration
Children#PCDATA
Declaration

    <!ELEMENT language      - O  (#PCDATA)                          >
    <!ATTLIST language           %a.global
              iso639             CDATA               #REQUIRED      >

See 25.2 ; 25.1

Back to index